Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class URLDocument

    java.lang.Object
      |
      +--com.bea.p13n.content.document.ref.URLDocument

All Implemented Interfaces:
  DocumentDef

public class URLDocument
extends Object
implements DocumentDef

A concreate implementation of a document which uses an URL

Field Summary
`protected URL` | `url` Deprecated. The url object we read from.

Constructor Summary
`URLDocument(URL url)` Deprecated. Constructor.

Method Summary
`byte[]` | `getBytes()` Deprecated. Get the bytes of the url.
`URL` | `getURL()` Deprecated. Get the url used.
`InputStream` | `openStream()` Deprecated. Open a sream to the bytes of the url.
`void` | `setURL(URL url)` Deprecated. Set the url used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    protected URL url

  Deprecated.
  The url object we read from.

Constructor Detail

### URLDocument

    public URLDocument(URL url)

  Deprecated.
  Constructor.

Method Detail

### getURL

    public URL getURL()

  Deprecated.
  Get the url used.

### setURL

    public void setURL(URL url)

  Deprecated.
  Set the url used.

### getBytes

    public byte[] getBytes()
                    throws DocumentException

  Deprecated.
  Get the bytes of the url.

  Specified by:
    `getBytes` in interface `DocumentDef`
  Returns:
    the raw bytes of the document.
  Throws:
    `DocumentException` - thrown on an error.

### openStream

    public InputStream openStream()
                           throws DocumentException

  Deprecated.
  Open a sream to the bytes of the url.

  Specified by:
    `openStream` in interface `DocumentDef`
  Returns:
    an input stream to the bytes.
  Throws:
    `DocumentException` - thrown on an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved